Bug 500715 - btanks and openoffice.org provide the same thing
btanks and openoffice.org provide the same thing
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: btanks (Show other bugs)
rawhide
All Linux
low Severity medium
: ---
: ---
Assigned To: Alexey Torkhov
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-05-13 15:33 EDT by Bill Nottingham
Modified: 2014-03-16 23:18 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-05-13 17:37:38 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Bill Nottingham 2009-05-13 15:33:42 EDT
[notting@nostromo: ~]$ repoquery -q --provides btanks | grep libsdlx.so
libsdlx.so()(64bit)
[notting@nostromo: ~]$ repoquery -q --provides openoffice.org-core | grep libsdlx.so
libsdlx.so()(64bit)

yum has code that makes sure the openoffice.org components pull the correct provider, but it's still a little weird (and causes btanks to land on the DVD). Is it actually the same library in both packages?

Version-Release number of selected component (if applicable):

btanks-0:0.8.7686-9.fc11.x86_64
openoffice.org-core-1:3.1.0-11.2.fc11.x86_64
Comment 1 Alexey Torkhov 2009-05-13 16:02:56 EDT
Btanks' libsdlx is C++ wrapper for libSDL (graphics library used for games). OpenOffice has nothing to deal with libSDL. So this is different things.

The libraries reside on different paths, so there is no direct conflict between them. OpenOffice one:
/usr/lib64/openoffice.org/basis3.0/program/libsdlx.so
and btanks:
/usr/lib64/libsdlx.so
Comment 2 Bill Nottingham 2009-05-13 17:07:56 EDT
Hrm, if it's a separate project, it would be nice if it was a separate tarball/SRPM. Outside of that, having a real soname could be useful.

In the meantime, I'll just exclude btanks from the DVD compose - that should DTRT.
Comment 3 Alexey Torkhov 2009-05-13 17:37:38 EDT
This lib does not really have a separate upstream - it developed by same author as btanks.

Soname would be good, but build system they use (scons) seem to need some weird hack to install it properly. At least, I was unable to do it by simple means.

If anything is ok now, then I'm closing the bug.
Comment 4 David Tardon 2009-05-14 01:59:31 EDT
Just for the record: the libsdlx.so of openoffice.org contains implementation of the Draw and Impress applications. The last two letters in the library name encode OS and platform, hence this particular library is present on x86_64 exclusively--the same library on i386 is named libsdli.so.

Note You need to log in before you can comment on or make changes to this bug.